# Created by pyp2rpm-3.3.1
%global pypi_name pyclipper

Name:           python-%{pypi_name}
Version:        1.3.0.post6
Release:        %mkrel 1
Summary:        Cython wrapper for the C++ translation of the Angus Johnson's Clipper library (ver
Group:          Development/Python
License:        MIT
URL:            https://github.com/greginvm/pyclipper
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-cython
BuildRequires:  python3dist(pytest-runner)


%description
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Clipper library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Clipper library.

%prep
%autosetup -n %{pypi_name}-%{version}


# Drop bundled source files
rm -rf pyclipper/pyclipper.cpp

# Regenerate source files
touch dev

sed -i "s/'unittest2', //" setup.py
sed -i s/unittest2/unittest/ tests/test_pyclipper.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyclipper

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Jan 23 2025 papoteur <papoteur> 1.3.0.post6-1.mga10
+ Revision: 2140732
- new version 1.3.0post6

* Thu Dec 14 2023 papoteur <papoteur> 1.3.0.post5-1.mga10
+ Revision: 2018004
- new 1.3.0.post5

* Wed Apr 06 2022 umeabot <umeabot> 1.2.1-3.mga9
+ Revision: 1846177
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 1.2.1-2.mga9
+ Revision: 1782050
- Fix filelist for python-3.10
- Remove dependency on unittest2
- Rebuild for python-3.10

* Fri Apr 23 2021 wally <wally> 1.2.1-1.mga9
+ Revision: 1718237
- new version 1.2.1

* Mon Apr 19 2021 daviddavid <daviddavid> 1.2.0-2.mga9
+ Revision: 1717161
- rebuild for python 3.9

* Sat Sep 19 2020 joequant <joequant> 1.2.0-1.mga8
+ Revision: 1628800
- fix build

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0.post3-2.mga8
+ Revision: 1541816
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 wally <wally> 1.1.0.post3-1.mga8
+ Revision: 1475505
- new version 1.1.0.post3

* Mon Sep 16 2019 daviddavid <daviddavid> 1.1.0-5.mga8
+ Revision: 1442720
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 1.1.0-4.mga8
+ Revision: 1435705
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.1.0-3.mga7
+ Revision: 1351429
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1300558
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 1.1.0-1.mga7
+ Revision: 1226678
- imported package python-pyclipper

